summaryrefslogtreecommitdiffstats
path: root/tests/ci/load_images.sh
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2017-03-23 07:53:10 +0000
committerJingLu5 <lvjing5@huawei.com>2017-03-25 00:43:24 +0000
commit0691766d310e00d7f1cec763427db271076b5633 (patch)
tree5840532a200ff2fb3501022464d9594b95d7bd6b /tests/ci/load_images.sh
parent91aefe442153517a35c87e1fc02a30c2917c3783 (diff)
Bugfix:add storperf flavor for TC074
JIRA: YARDSTICK-604 the storperf container now uses a flavor called "storperf", if this flavor is absent, stack creating process will fail. also the openstack variables that passed to the storperf container also needs a update Change-Id: Iab4be6491cc9b24526948e5571f0476ec885a93d Signed-off-by: JingLu5 <lvjing5@huawei.com>
Diffstat (limited to 'tests/ci/load_images.sh')
-rwxr-xr-xtests/ci/load_images.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index a326458a9..7f929bdc4 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -215,7 +215,7 @@ create_nova_flavor()
{
if ! openstack flavor list | grep -q yardstick-flavor; then
echo
- echo "========== Create nova flavor =========="
+ echo "========== Creating yardstick-flavor =========="
# Create the nova flavor used by some sample test cases
openstack flavor create --id 100 --ram 512 --disk 3 --vcpus 1 yardstick-flavor
# DPDK-enabled OVS requires guest memory to be backed by large pages
@@ -227,6 +227,13 @@ create_nova_flavor()
openstack flavor set --property hw:mem_page_size=large yardstick-flavor
fi
fi
+
+ if ! openstack flavor list | grep -q storperf; then
+ echo
+ echo "========== Creating storperf flavor =========="
+ # Create the nova flavor used by storperf test case
+ openstack flavor create --id auto --ram 8192 --disk 4 --vcpus 2 storperf
+ fi
}
main()